import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/app_theme.dart';
import 'package:sk_base_mobile/screens/inventory_inout/inventory_inout_controller.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class FloatingCreateButton extends StatelessWidget {
  FloatingCreateButton({super.key});
  final inventoryInoutController = Get.find<InventoryInoutController>();
  @override
  Widget build(BuildContext context) {
    return InkWell(
      borderRadius: BorderRadius.circular(ScreenAdaper.sp(50)),
      onTap: inventoryInoutController.showInOrOutPickerDialog,
      child: Container(
        height: ScreenAdaper.height(140),
        width: ScreenAdaper.height(140),
        decoration: const BoxDecoration(
            shape: BoxShape.circle,
            gradient: LinearGradient(
                colors: [AppTheme.primaryColorLight, AppTheme.primaryColor])),
        child: Icon(
          Icons.add,
          color: Colors.white,
          size: ScreenAdaper.sp(70),
        ),
      ),
    );
  }
}
